.re-products .container > .row {
    margin: 40px 0;
}

.re-products .container > .row {
    border-bottom: 1px solid #4e4e4e;
    padding-bottom: 50px;
}

.last .container > .row {
    border-bottom: none;
    padding-bottom: 30px;
}

.re-products .title {
    display: flex;
    justify-content: space-between;
    color: #fff;
    margin: 60px 15px 30px;
    align-items: center;
}

.re-products .title a {
    font-weight: bold;
    text-decoration: none;
}

.re-products .card {
    padding: 0;
    background-color: transparent;
    border: none;
    margin-bottom: 25px;
}

.re-products .card img {
    height: 75%;
}

.re-products .d-card {
    padding: 20px;
    background-color: #1c1e21;
    height: 100%;
}

.re-products .card .info  {
    bottom: -23%;
    left: 0 !important;
    right: 0 !important;
    width: 100%;
}

.re-products .card .info button {
    background-color: rgb(0 120 242 / 90%) ;
    border: none;
    color: #fff;
    width: 100%;
    padding: 10px 0;
    position: relative;
    bottom: 44px;
    transform: translateY(10px) ;
    opacity: 0;
    transition: 0.5s;
}

.re-products .card .info .view {
    bottom: 62px;
}

.re-products .card:hover .info button {
    transform: translateY(0) ;
    opacity: 1;
}

.re-products .d-card .info h2 {
    text-align: center;
    color: #fff;
    font-size: 24px;
    margin-top: -15px;
}

.re-products .card .info h2 {
    color: #fff;
    font-size: 18px;
    margin-top: -20px;
    transition: 0.5s;
    cursor: pointer;
}

.re-products .card .info .h2-slide {
    font-size: 22px;
}

.re-products .card:hover .info h2 {
    color: #0078f2;
}

.re-products .d-card .info p {
    margin: 0;
    color: #444;
    text-align: center;
}

.re-products .card .info p {
    margin: 0;
    color: #444;
}

#haha {
    width: 0;
    position: absolute;
}

.carousel-inner {
    /*overflow: auto !important;*/
    overflow-x: hidden !important ;
    height: 100% !important;
}

.carousel-control-prev ,
.carousel-control-next {
    margin-top: -46%;
}

.carousel-indicators {
    bottom : 0px !important;
}

.carousel-indicators button {
    background-color: #868789;
}

.carousel-indicators .active {
    background-color: #0078f2;
}

.re-products .img-slide {
    height: 560px !important;
}

@media ( max-width: 768px ) {
    .re-products .img-slide {
        height: 400px !important;
    }
    .carousel-control-prev, .carousel-control-next {
        margin-top: -10%;
    }
    .re-products .col-lg-8 {
        margin-top: 20px;
    }
    .re-products .card img {
        height: 120px;
        width: 120px;
        border-radius: 10px;
    }
    .re-products .card {
        padding: 0;
        background-color: transparent;
        border: none;
        margin-bottom: 25px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        width: 100%;
        text-align: center;
    }
    .re-products .card .info {
        bottom: -23%;
        left: 0 !important;
        /* right: 0 !important; */
        width: 80%;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }
    .re-products .card .info button {
        background-color: rgb(0 120 242 / 90%);
        border: none;
        color: #fff;
        width: 50%;
        padding: 10px 0;
        position: relative;
        bottom: 20px;
        transform: translateY(10px);
        opacity: 1;
        transition: 0.5s;
        border-radius: 5px;
    }
    .re-products .card .info h2 {
        color: #fff;
        font-size: 18px;
        margin-bottom: 50px;
        transition: 0.5s;
        cursor: pointer;
    }
    .re-products .card .info p {
        margin-bottom: -30px;
        color: #8d8d8d;
    }
    .re-products .bottom {
        margin-left: 0;
        margin-top: 30px;
        padding: 0 10%;
        margin: 0;
    }
}

.re-products .col-lg-3 > a {
    text-decoration: none ;
}
